Rolling Upgrades for ZCS

Revision as of 18:58, 29 February 2008 by CAH (talk | contribs) (Rolling Upgrades for 4.5.x to 5.0.x)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

This document gives an overview of the order to upgrade your servers when you are doing a rolling upgrade and lists the known issues.

Please read the latest release note, as it contains the up-to-date changes for ZCS 5.0.x.

This rolling upgrade should work for ZCS 4.5.x to 5.0.2 or later. Note that it was only tested from 4.5.10 and 4.5.11 to 5.0.2 and 5.0.3.


Multi-Server Rolling Upgrade

Rolling upgrades are intended to enable large deployments where you are unable to upgrade the entire site in a single maintenance window. This allows you to upgrade the LDAP master and replica servers as well as the MTA server first, and then upgrade your mailbox servers over a period of time. Note: Our preferred upgrade path remains upgrading all at once.

Mixed versions of mailbox servers will continue to work with the exception of the known limitations listed in the Known Issues section. Because of these known issues, we do not recommend running in the mixed mode for any longer than necessary.

Follow the upgrade instructions in the latest release notes. These can be found on at www.zimbra.com. Update the servers in the following order:

  • All LDAP servers and MTA servers must be updated in the same downtime window. Update in this order.

1. LDAP Master server

2. LDAP replica servers For upgrade details see [[1]]

3. Zimbra MTA servers

  • Next upgrade the mailbox servers.

The first mailbox server to upgrade is the server where the Documents wiki account was created. If you do not upgrade and get this server working first, you will need to manually install the Documents templates on each of the other servers.


Known Issues

Zimbra engineering has identified a number of issues with the rolling upgrade process. Usually these issues are displayed when you are working across servers that are at different versions. All known bugs are listed in Zimbra’s Bugzilla database, available on the Zimbra web site, at www.zimbra.com.

Issue #

Summary

24662

In rolling upgrades, the administration console does not show the certs for the 4.5.x nodes. This feature was not available before ZCS 5.0.

24607 (23805)

When users, who have accounts still on a 4.5.x server, log in from the URL for a server that has been upgraded to 5.0.x, they are redirected to their 4.5.x server and are logged in. The second time they try to log in, this time from the URL for their 4.5.x server, the log in fails.While you have servers at two different versions, it is recommended that users log in directly to their server to avoid this issue.

24620

If calendars are shared between users on 4.5.x servers and users on 5.0.x servers, appointments do not display.

23203

The Documents feature does not work on 4.5.x servers after the rolling upgrade of servers begins.

24682

Instant Messaging is in Beta for 5.0 and some preliminary work was done in 4.5 that was not exposed in the software. If during this rolling upgrade, you enable IM, a "chat" tab displays with the other tabs in the mailbox for 4.5.x users. IM does not work.

24684

Backing up accounts on 4.5. x servers fails when the backup is run from an administration console already upgraded to 5.0.2 or later.The normal scheduled backups work. If you need to do an interactive backup of a server, perform the backup from the administration console that is of the same ZCS version, preferably local.

24689

During a rolling upgrade, users on 4.5.x servers will see a list of 5.0.x themes. If they try to change to one of these 5.0 themes, they will get an error "No theme available" and they cannot use their account.The user will need to close the browser and log back in. But before logging back in they may need to update their URL to remove the reference to the theme in the URL address. In an URL, the theme can be represented by a number, for example, https: //example.com/zimbra/mail#14. The user will need to delete the #14 from the URL.

24729

When you log in to an admin console and change the default domain to be a domain that is not on the same version, you will need to use the fully qualified user name (sam@example.com/password) to log on.

Verified Against: ZCS 5.0.2 or later Date Created: 2/29/2008
Article ID: https://wiki.zimbra.com/index.php?title=Rolling_Upgrades_for_ZCS Date Modified: 2008-02-29



Try Zimbra

Try Zimbra Collaboration with a 60-day free trial.
Get it now »

Want to get involved?

You can contribute in the Community, Wiki, Code, or development of Zimlets.
Find out more. »

Looking for a Video?

Visit our YouTube channel to get the latest webinars, technology news, product overviews, and so much more.
Go to the YouTube channel »

Jump to: navigation, search